> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atonom.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Book Meeting



## OpenAPI

````yaml /api-reference/connectors/openapi.yaml post /v1/calendar/book-meeting
openapi: 3.0.3
info:
  title: Integration Connector API
  version: 0.0.1
servers: []
security: []
tags:
  - name: CalendarService
  - name: CrmService
  - name: InventoryService
  - name: RoutingService
  - name: TicketsService
paths:
  /v1/calendar/book-meeting:
    post:
      tags:
        - CalendarService
      summary: Book Meeting
      operationId: bookCalendarMeeting
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BookMeetingRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BookMeetingResponse'
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Status'
components:
  schemas:
    BookMeetingRequest:
      type: object
      properties:
        title:
          type: string
          description: Meeting title shown to attendees.
        description:
          type: string
          description: Agenda or body text when provided.
        start_time:
          type: string
          description: Meeting start instant.
          format: date-time
        end_time:
          type: string
          description: Meeting end instant.
          format: date-time
        timezone:
          type: string
          description: IANA timezone for the meeting.
        attendee_emails:
          type: array
          items:
            type: string
        selected_calendar_ids:
          type: array
          items:
            type: string
        conferencing_type:
          type: string
          description: >-
            Mirrors meeting_info.conferencing_type: "provider" = auto-generate;
            "url" = personal link. Legacy "cronofy" accepted at runtime.
        location_url:
          type: string
    BookMeetingResponse:
      type: object
      properties:
        event:
          allOf:
            - $ref: '#/components/schemas/CalendarEventResult'
          description: Created or updated event metadata.
    Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/GoogleProtobufAny'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    CalendarEventResult:
      type: object
      properties:
        event_id:
          type: string
          description: Provider event id for follow-up calls.
        event_url:
          type: string
          description: Deep link to open the event in the provider when available.
        start_time:
          type: string
          description: >-
            Populated after UpdateMeeting when the provider returns or resolves
            the scheduled window.
          format: date-time
        end_time:
          type: string
          format: date-time
    GoogleProtobufAny:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.

````